Skip to content

Get API Token SMS Credit Usage ​

This API is to get list API Token SMS Credit Usage. The total count returned is from total SMS Part that was sent using API Tokens. The total credit ammount is from total credit used using API Tokens.

Parameters for getting List API Token SMS Credit Usage ​

Headers Parameters ​

ParametersDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here
Content-Typeapplication/json

Code Samples ​

GET https://api.cellcast.com/api/v2/report/message/quick-api-credit-usage

bash
curl --location 'https://api.cellcast.com/api/v2/report/message/quick-api-credit-usage?campType=sms' \
--header 'Authorization: Bearer {{API_KEY}}'\
--header 'Content-Type: application/json'

Replace with the actual API key that you own.

Responses ​

200 Success

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": true,
    "message": "Success",
    "message_type": "toast",
    "data": {
        "items": [
            {
                "_id": "zapier",
                "total": 11,
                "totalCreditAmount": 0
            },
            {
                "_id": "wordpress",
                "total": 17,
                "totalCreditAmount": 9.1
            }
        ],
        "total": 2,
        "limit": 10,
        "current": 1,
        "totalPages": 1,
        "pagingCounter": 1,
        "hasPrevPage": false,
        "hasNextPage": false,
        "offset": 0,
        "prevPage": null,
        "nextPage": null
    },
    "error": {}
}

401 Unauthorized

json
{
  "code": 401,
  "message": "Token expired",
  "stack": "APIError: Token expired ...."
}